//
//  ViewController.swift
//  test_textfield_emoji
//
//  Created by Hans Knoechel on 04/11/2016.
//  Copyright © 2016 Hans Knoechel. All rights reserved.
//

import UIKit

class ViewController: UIViewController, UITextFieldDelegate {

    var field: UITextField!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        field = UITextField(frame: CGRect(x: 20, y: 20, width: 300, height: 40))
        field.delegate = self
        field.layer.borderWidth = 1
        field.layer.borderColor = UIColor.black.cgColor
        field.backgroundColor = UIColor.lightGray
        
        self.view.addSubview(field)
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    func textFieldShouldReturn(_ textField: UITextField) -> Bool {
        field.resignFirstResponder()
        return true
    }
}

